# 变更日志规范 - CHANGELOG SPECIFICATION

本项目所有显著变更都将记录在此 [CHANGELOG.md](./CHANGELOG.md) 文件中。

文件格式基于 [Keep a Changelog](https://keepachangelog.com/zh-CN/1.1.0/) ，文件版本号（程序版本号）遵循 [语义化版本控制](https://semver.org/lang/zh-CN/) 。

## 分类

- 新增：新增此前从未有过的功能。
- 修改：修改此前存在的功能，且目的不是为了修复错误，修改后功能的使用方法和表现形式与原来不同。**注意：当功能改动范围巨大时，应归类为重构。**
- 修复：修复错误和漏洞。**注意：当功能改动范围巨大时，应归类为重构。**
- 删除：删除已经存在的功能。**注意：并不是删除文件就代表该归类为“删除”，只有删除功能时才能算作“删除”，而只是删除配置文件等则只能算作“其他”。**
- 重构：修改此前存在的功能，修改后功能的使用方法和表现形式与原来基本一致；**或进行重大改动现有的功能。**
- 文档：不涉及代码修改，而是对文档文件或代码注释的改动。
- 其他：其他非代码和文档类的新增、改动、删除等，例如：`GitHub Action`的改动。

分类出现的顺序为：新增、修改、修复、删除、重构、文档、其他。

## 时区

- 为了避免造成，每次版本更新的时间条目中应标注时区。并且在该版本的变更日志中涉及到的时间均为此时区。
- 为了避免争议和误解，请使用 IANA（Internet Assigned Numbers Authority） 的时区数据库中的时区标识符。 
  例如，使用`Asia/Shanghai`代替`CST`来表示北京时间。因为后者`CST`可以解释为：北美的中部地区（Central Standard Time）、中国标准时间（China Standard Time）、澳大利亚中部标准时间（Central Standard Time (Australia)）；容易造成误解。

## 条目

- 分类下的每个条目原则上是各自独立的，在特殊情况下两个条目可能有关联（若可以，应以树状形式展开）。
- 处于不同分类的条目之间不能有关联。
- 每个条目都是完整的句子，以句号结尾。
